import java.util.Properties;
import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import javax.activation.*;

public class SendAttachmentMail {
    public static void main(String[] args) {
        if (args.length!=4) {
        System.out.println("Usage: SendAttachmentMail SMTPHost ToAddress FromAddress AttachmentName");
            System.exit(1);
        }

        String smtpHost = args[0];
        String to = args[1];
        String from = args[2];
        String fileName = args[3];

        Properties props = new Properties();
        props.put("mail.smtp.host",smtpHost);

        try {
            Session session = Session.getDefaultInstance(props,null);
            MimeMessage message = new MimeMessage(session);
            message.setSubject("Message with attachment");
            message.setFrom(new InternetAddress(from));
            message.addRecipient(Message.RecipientType.TO,new InternetAddress(to));

            BodyPart messageBodyPart = new MimeBodyPart();
            messageBodyPart.setText("Here's an attachment!");
            
            BodyPart fileBodyPart = new MimeBodyPart();
            DataSource source = new FileDataSource(fileName);
            fileBodyPart.setDataHandler(new DataHandler(source));
            File file = new File(fileName);
            fileBodyPart.setFileName(file.getName());

            Multipart multipart = new MimeMultipart();
            multipart.addBodyPart(messageBodyPart);
            multipart.addBodyPart(fileBodyPart);
            message.setContent(multipart);
           Transport.send(message);
        }
        catch (MessagingException me) {
            System.err.println(me);
        }
        catch (IllegalStateException ise) {
            System.err.println(ise);
        }
    }
}
