import java.util.Properties;
import javax.mail.*;
import javax.mail.internet.*;

public class SendMail {
    public static void main(String[] args) {
        if (args.length!=3) {
            System.out.println("Usage: SendMail SMTPHost ToAddress FromAddress");
            System.exit(1);
        }

        String smtpHost = args[0];
        String to = args[1];
        String from = args[2];

        Properties props = new Properties();
        props.put("mail.smtp.host",smtpHost);

        try {
            Session session = Session.getDefaultInstance(props,null);
            MimeMessage message = new MimeMessage(session);
            message.setText("Message constructed in JavaMail client");
            message.setSubject("    ");
            message.setFrom(new InternetAddress(from));
            message.addRecipient(Message.RecipientType.TO,new InternetAddress(to));
            Transport.send(message);
            System.out.println("Message Sent");
        }
        catch (MessagingException me) {
            System.err.println(me);
        }
    }
}
