import java.util.Properties;
import javax.mail.*;
import javax.mail.internet.*;
import java.io.*;
import javax.activation.*;

public class SendMultiPartMail {
    private static final String htmlFile = "src/HTMLLink.html";
    private static final String imageFile = "src/sams.gif";
    
    public static void main(String[] args) {
        if (args.length!=3) {
        System.out.println("Usage: SendMultiPartMail SMTPHost ToAddress FromAddress");
            System.exit(1);
        }

        String smtpHost = args[0];
        String to = args[1];
        String from = args[2];

        Properties props = new Properties();
        props.put("mail.smtp.host",smtpHost);

        try {
            Session session = Session.getDefaultInstance(props,null);
            MimeMessage message = new MimeMessage(session);
            message.setSubject("HTML Message and Image");
            message.setFrom(new InternetAddress(from));
            message.addRecipient(Message.RecipientType.TO,new InternetAddress(to));
            StringBuffer msgBuffer = new StringBuffer();
            String line=null;
            FileReader fr = new FileReader(htmlFile);
            BufferedReader br = new BufferedReader(fr);
            while ((line=br.readLine())!=null) {
                msgBuffer.append(line);
            }
            
            BodyPart messageBodyPart = new MimeBodyPart();
            messageBodyPart.setContent(msgBuffer.toString(), "text/html");
            
            BodyPart imageBodyPart = new MimeBodyPart();
            DataSource fds = new FileDataSource(imageFile);
            imageBodyPart.setDataHandler(new DataHandler(fds));
            imageBodyPart.setHeader("Content-ID","image");
            
            MimeMultipart multipart = new MimeMultipart("related");
            multipart.addBodyPart(messageBodyPart);
            multipart.addBodyPart(imageBodyPart);
            message.setContent(multipart);
            Transport.send(message);
        }
        catch (MessagingException me) {
            System.err.println(me);
        }
        catch (IOException ioe) {
            System.err.println(ioe);
        }
    }
}

