package data;

import java.util.*;
import javax.ejb.*;
import java.util.Properties;
import javax.mail.*;
import javax.naming.*;
import javax.mail.internet.*;

public class EmailApplicant  {

    private Set jobs = new HashSet();
    private Session session;

    public EmailApplicant (Session session)  {
        this.session = session;
    }

    public void addJob (JobPK job) {
        jobs.add(job);
    }

    public void newMessage () {
        jobs.clear();
    }

    public void sendMail (String recipient) throws MessagingException {
        System.out.println("emailApplicant: "+recipient+" - "+jobs);
        MimeMessage message = new MimeMessage(session);

        if (jobs.size() == 0)
            message.setText("Sorry, there are no jobs that currently match your skills and location.\r\n");
        else {
            StringBuffer msg = new StringBuffer();
            msg.append("The following is a list of the jobs that match your skills and location.\r\n");
            Iterator jobsIter = jobs.iterator();
            while (jobsIter.hasNext()) {
                JobPK job = (JobPK)jobsIter.next();
                msg.append (job.getCustomer() + "/" + job.getRef() + "\r\n");
            }
            message.setText(msg.toString());
        }

        message.setSubject("Email from the Agency Case Study");
        message.setFrom(new InternetAddress("agency@localhost"));
        message.addRecipient(Message.RecipientType.TO,new InternetAddress(recipient));

        Transport.send(message);
    }
}